Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerNameTable.h File Reference

Definition and Implementation of classes GTXabsl2Profiler, GTXabsl2ProfilerNameTable. More...

`#include <string>`
`#include <vector>`
`#include <deque>`
`#include "Platform/GTAssert.h"`
`#include "Tools/Streams/OutStreams.h"`
`#include "Platform/SystemCall.h"`
`#include "Tools/Xabsl2/Xabsl2Engine/Xabsl2Array.h"`
`#include "Tools/Xabsl2/Xabsl2Engine/Xabsl2Engine.h"`
`#include "Tools/Debugging/Debugging.h"`
`#include "Tools/Streams/InStreams.h"`
`#include "Tools/Module/SolutionRequest.h"`

Include dependency graph for GTXabsl2ProfilerNameTable.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GTXabsl2ProfilerNameTableEntry
class | GTXabsl2ProfilerNameTable
## Functions
In & | operator>> (In &in, GTXabsl2ProfilerNameTable &nameTable)
| Streaming operator that reads KickCase from a stream.
Out & | operator<< (Out &out, const GTXabsl2ProfilerNameTable &nameTable)
| Streaming operator that writes KickCase to a stream.

## Detailed Description

Definition and Implementation of classes GTXabsl2Profiler, GTXabsl2ProfilerNameTable.

Author:
  Michael Spranger

Definition in file GTXabsl2ProfilerNameTable.h.

## Function Documentation

In& operator>> | ( | In & | in,
|  | GTXabsl2ProfilerNameTable & | nameTable
| ) |

  | Streaming operator that reads KickCase from a stream. Parameters:
  in | The stream from which is read.
  nameTable | The name table object.
Returns: The stream. Definition at line 85 of file GTXabsl2ProfilerNameTable.cpp. References in, and GTXabsl2ProfilerNameTable::maxDepth.

Out& operator<< | ( | Out & | out,
|  | const GTXabsl2ProfilerNameTable & | nameTable
| ) |

  | Streaming operator that writes KickCase to a stream. Parameters:
  out | The stream to write on.
  nameTable | The name table object.
Returns: The stream. Definition at line 120 of file GTXabsl2ProfilerNameTable.cpp. References out.